From c1308f8a05a71c0751c53b0b4872a354e2dacc27 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Mon, 24 Nov 2008 19:58:25 -0500
Subject: [PATCH] Break dependencies, we simply need device-mapper for now.
 To be reverted sooooon...

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 lvm2.spec |   15 ++++++++++++++-
 1 files changed, 14 insertions(+), 1 deletions(-)

diff --git a/lvm2.spec b/lvm2.spec
index 2dd63ba..f7b589e 100644
--- a/lvm2.spec
+++ b/lvm2.spec
@@ -6,7 +6,7 @@
 Summary: Userland logical volume management tools 
 Name: lvm2
 Version: 2.02.39
-Release: 6%{?dist}
+Release: 6%{?dist}.fa1
 License: GPLv2
 Group: System Environment/Base
 URL: http://sources.redhat.com/lvm2
@@ -21,7 +21,9 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires: libselinux-devel >= 1.30.19-4, libsepol-devel
 BuildRequires: ncurses-devel
 BuildRequires: readline-devel
+%ifnarch %{arm}
 BuildRequires: cman-devel >= 2.99.10-4 cmanlib-devel >= 2.99.10-4
+%endif
 BuildRequires: module-init-tools
 Requires: device-mapper >= %{device_mapper_version}-%{release}
 Requires: module-init-tools
@@ -52,12 +54,17 @@ cd device-mapper.%{device_mapper_version}
 %configure --with-user= --with-group= --with-device-uid=0 --with-device-gid=6 --with-device-mode=0660 --enable-pkgconfig --with-usrlibdir=/usr/%{_lib} --with-usrsbindir=/usr/sbin
 make DESTDIR=$RPM_BUILD_ROOT
 
+%ifnarch %{arm}
 cd ..
 %configure --enable-lvm1_fallback --enable-fsadm --with-clvmd=cman --with-cluster=internal --with-pool=internal --with-user= --with-group= --with-dmdir=device-mapper.%{device_mapper_version} --with-usrlibdir=/usr/%{_lib} --with-usrsbindir=/usr/sbin
 make DESTDIR=$RPM_BUILD_ROOT
+%endif
 
 %install
 rm -rf $RPM_BUILD_ROOT
+mkdir $RPM_BUILD_ROOT
+touch $RPM_BUILD_ROOT/placeholderfile
+%ifnarch %{arm}
 make install DESTDIR=$RPM_BUILD_ROOT
 install -m 0700 -d $RPM_BUILD_ROOT/etc/lvm/archive
 install -m 0700 -d $RPM_BUILD_ROOT/etc/lvm/backup
@@ -67,6 +74,7 @@ install -m 0600 /dev/null $RPM_BUILD_ROOT/etc/lvm/cache/.cache
 mkdir -p -m755 $RPM_BUILD_ROOT/etc/rc.d/init.d
 install scripts/clvmd_init_rhel4 $RPM_BUILD_ROOT/etc/rc.d/init.d/clvmd
 install -m 0755 scripts/lvmconf.sh $RPM_BUILD_ROOT/sbin/lvmconf
+%endif
 
 cd device-mapper.%{device_mapper_version}
 make install DESTDIR=$RPM_BUILD_ROOT
@@ -76,6 +84,8 @@ rm -rf $RPM_BUILD_ROOT
 
 %files
 %defattr(-,root,root,-)
+/placeholderfile
+%ifnarch %{arm}
 %doc COPYING COPYING.LIB INSTALL README VERSION WHATS_NEW
 %{_sbindir}/fsadm
 %{_sbindir}/lvchange
@@ -173,7 +183,9 @@ rm -rf $RPM_BUILD_ROOT
 %dir /etc/lvm/cache
 %dir /etc/lvm/archive
 %dir /var/lock/lvm
+%endif
 
+%ifnarch %{arm}
 ##############################################################################
 # Cluster subpackage
 ##############################################################################
@@ -207,6 +219,7 @@ fi
 %{_sbindir}/lvmconf
 %{_mandir}/man8/clvmd.8.gz
 /etc/rc.d/init.d/clvmd
+%endif
 
 ##############################################################################
 # Device-mapper subpackages
-- 
1.5.3.3

